import { Preprocessor } from '../preprocess';
import { Sample } from './types';
export declare class Dataset {
    readonly classes: string[];
    readonly entities: string[];
    readonly samples: Sample[];
    constructor(classes: string[], entities: string[], samples: Sample[]);
    static load(path: string): Dataset;
    split(testProportion?: number, shuffle?: boolean): {
        trainSet: Dataset;
        testSet: Dataset;
    };
    extractVocabulary(preprocessor: Preprocessor): string[];
    get length(): number;
}
